Class | Ohcount::LicenseSniffer::SoftwareLicense
In: | lib/licenses/license.rb
Parent: | Object

### Methods

new

### Attributes

exclude | [R] |
nice_name | [R] |
re | [R] |
symbol | [R] |
url | [R] |

### Public Class methods

new(symbol, url, nice_name, re, exclude = nil)

[Source]

    # File lib/licenses/license.rb, line 6
          def initialize(symbol, url, nice_name, re, exclude = nil)
            @symbol = symbol
            @url = url
            @nice_name = nice_name
            @re = re
            @exclude = exclude
          end

[Validate]